# WikiPage

class `praw.models.``WikiPage`(reddit, subreddit, name, revision=None, _data=None)

  An individual WikiPage object.

  `__init__`(reddit, subreddit, name, revision=None, _data=None)

    Construct an instance of the WikiPage object.

    Parameters: | revision – A specific revision ID to fetch. By default, fetches the most recent revision.

  `edit`(content, reason=None, **other_settings)

    Edit this WikiPage’s contents.

    Parameters:

    - content – The updated markdown content of the page.
    - reason – (Optional) The reason for the revision.
    - other_settings – Additional keyword arguments to pass.

  `fullname`

    Return the object’s fullname.

    A fullname is an object’s kind mapping like `t3` followed by an underscore and the object’s base36 ID, e.g., `t1_c5s96e0`.

  `mod`

    Provide an instance of `WikiPageModeration`.

  `parse`(data, reddit)

    Return an instance of `cls` from `data`.

    Parameters:

    - data – The structured data.
    - reddit – An instance of `Reddit`.

  `revisions`(**generator_kwargs)

    Return a generator for page revisions.

    Additional keyword arguments are passed in the initialization of `ListingGenerator`.

    To view the wiki revisions for `'praw_test'` in `'/r/test'` try:

        for item in reddit.subreddit('test').wiki['praw_test'].revisions():
            print(item)